Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Zobrazit příspěvky

Tato sekce Vám umožňuje zobrazit všechny příspěvky tohoto uživatele. Prosím uvědomte si, že můžete vidět příspěvky pouze z oblastí Vám přístupných.


Příspěvky - juwa2

Stran: 1 2 [3] 4 5 ... 115
51
Obecná podpora / Re:Prechod z 32bit na 64bit.
« kdy: 17 Srpen 2019, 18:34:48 »
Super, dik - takze preci jen nejake usetreni. A ta podpora 32bit se pridava jak?

Klasicky - příkazem:
Kód: [Vybrat]
sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get dist-upgrade

52
Obecná podpora / Re:Prechod z 32bit na 64bit.
« kdy: 16 Srpen 2019, 22:09:27 »
Funguje  v tomto pripade implantace /home? A je to mozne z nizsi verze na vyssi (z 14.04 na 18.04)? Nebo vsechno znovu a jen prekopcit osobni data?

1.) Celé /home  ponechat (pokud je na samostatném oddíle = výhoda)
2.) Veškeré PPA + nainstalované aplikace nejprve zálohovat pomocí Aptik (stačí verze 18, 19 už je nově placená!). Záloha má pouze pár desítek kB (ano, kB). Je možno (doporučuji) ji dát do /home (které zůstane zachované).
3.) Nainstalovat 64bit se zachováním /home
4.) Nainstalovat Aptik a obnovit zálohu nainst. aplikací.
Hotovo.
Jo, a ještě bych si přidal podporu 32bit architektury kvůli 32bit aplikacím (které nemají 64bit verzi - je jich ještě dost..)

53
Internet a sítě / Re:Automatické připojení k VPN v Gnome
« kdy: 16 Srpen 2019, 20:38:33 »
Pomůžeš mi s tím příkazem a scriptem prosím? Mám to přes Network Manager.

No tak sem ten příkaz napiš (uveď jak to startuješ ručně).
--------------------------------------------------------------------------------------------------------------------------
Ale možná bude toto lepší metoda:
Otevři soubor /etc/openvpn/openvpn.conf:
Kód: [Vybrat]
sudo gedit /etc/openvpn/openvpn.conf
Najdi řádek který začíná "auth-user-pass"
Za tento výraz (do stejného řádku) dopiš “auth.txt”  Mezi výrazy bude jedna mezera, vše bez uvozovek.
Dej uložit. Gedit zavři.

Potom zadej do Terminálu:
Kód: [Vybrat]
sudo gedit /etc/openvpn/auth.txt
V geditu se otevře prázdný soubor.
Na první řádek napiš jméno, na druhý řádek heslo (kterými se přihlašuješ do VPN).
Dej uložit, Gedit zavři.
Restartuj službu:
Kód: [Vybrat]
sudo systemctl restart openvpn
sudo systemctl enable openvpn

Nyní už to můžeš vyzkoušet = restartuj PC. Po restartu by mělo být VPN přihlášené.

54
Internet a sítě / Re:Automatické připojení k VPN v Gnome
« kdy: 16 Srpen 2019, 20:34:55 »
Napiš příkaz kterým to "aktivuješ ručně" do skriptu. Ten pak přidej do "Programy spouštěné při přihlášení". Můžeš tam dát timeout pár sekund.

55
Dej tam 32bit OS
Skype nainstaluj takto http://www.practisoft.cz/node/2431
(nezapomeň si "upravit" tu verzi, pak to normálně pojede).

56
O fóru / Re:Vzhlad fora.
« kdy: 14 Srpen 2019, 02:13:45 »
O.K. Tím je to vysvětleno/uzavřeno. A díky adminovi....  :)

57
O fóru / Re:Vzhlad fora.
« kdy: 13 Srpen 2019, 17:35:44 »
Priblizna farebna schema ktoru som mal doteraz
https://web.archive.org/web/20070102055010/http://forum.ubuntu.cz/

Priblizna farebna schema ktoru mi to zobrazuje teraz
https://web.archive.org/web/20190216070354/http://forum.ubuntu.cz/

Aha, takže to první je zřejmě ten "starý" vzhled a to druhé ten "nový"...
Takže já mám ten nový.  Ten starý jsem nikdy neměl, vidím ho poprvé a to sem chodím cca 10 let.  Pouze si vzpomínám, že něco se vzledem se měnilo kolem vánoc 2018...

58
O fóru / Re:Vzhlad fora.
« kdy: 13 Srpen 2019, 16:46:52 »
Jeden má jakýsi "starý" vzhled a chce zpátky nový.
Druhý má zase najednou vzled nový a chtěl by zpátky starý.

To mi teda hlava nebere  :o  Já mám už několik let vzhled stále stejný (netuším zda je starý či nový, neb nemám dle čeho posoudit).
Možná by to chtělo sem poslat fotečku, ať mám představu.

59
To si uvedumuji, ze to muze skoncit vselijak. Presto bych rad vedel, jak tam ten repo pro vyssi verzi pridat - budu zkouset instalaci pouze na urovni jedne a zadny upgrade a podobne - to chapu, ze by dopadlo blbe ...

Pokud si přidáš celé repo vyšší verze, lehce se stane, že se ti tam "navalí" v rámci aktualizací spousta balíků a závislostí ze kterých budeš ve výsledku nešťastný a budeš proklínat okamžik kdy ses k tomuto kroku rozhodl.

Daleko lepší nápad (když už) je stáhnout si ručně pouze balík .deb verze požadované aplikace a pokusit se ho (samozřejmě pomocí gdebi) nainstalovat. Ale určitě se potkáš s nevyřešenýmí závislostmi - budeš muset stáhnout a doplnit příslušné knihovny z vyšší verze (ubuntu).

A už vůbec nerozumím, proč tvrdohlavě odmítáš jít relativně nejschůdnější a bezpečnou cestou FF od Mozilly.  :-\

----------------------------------------------------------------------------------------------------------------
Nicméně kdo chce kam, pomozme mu tam  :o (přidání celého 16.04 repa):
Kód: [Vybrat]
sudo cp /etc/apt/sources.list /etc/apt/sources.list.BAK
curl https://repogen.simplylinux.ch/txt/xenial/sources_2921b41f0c5e0d8c5b7f55df5e12ec64909b79b1.txt | sudo tee -a /etc/apt/sources.list
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys  247510BE
sudo apt-get update
sudo apt-get install firefox firefox-locale-cs

A děj se vůle páně - pokud máš trochu rozumu, ještě předtím si aspoň systém zazálohuješ....

60
Notebooky a přenosné počítače / Re:XIAOMI notebook
« kdy: 11 Srpen 2019, 14:52:48 »
Xiaomi ne. Vlastní zkušenost.

Návrh HP nebo DELL.
I když DELL svého času vyrukoval s hláškou, že VLC poškozuje repráky. Během půldne, po reakci od VLC to stáhl.


Obecně jsou pro LIN nejvhodnější. Nejhorší jsou Lenovo, Huawei a právě Xiaomi.  Vše je z vlastní zkušenosti.

Popíšu na jednom příkladu proč...
Měl jsem Lenovo IdeaPad Z565. Jel na WIN. Přiinstaloval jsem LIN. Potom při práci na tomto compu, jsem ve WIN vypnul wifi. Po přebootování na LIN, nešlo wifi žádným způsobem zapnout. Musel jsem přebootovat do WIN, tam zapnout wifi a přebootovat zpět na LIN. Perlička je, že když jsem mazal WIN a rozšířil harddisk  pro LIN, zapomněl jsem ve WIN zapnout wifi. Musel jsem znovu nainstalovat WIN, zapnout wifi, pak se ho teprve zbavit.
Lenovo obecně s Linuxem jede a bude to samý problém a průser.

Takové a podobné jsou moje zkušenosti. A co jedu na (x)ubuntu, zjistil jsem, že nejlepší podpora pro Linux je od HP. 

(nejsem dealer HP)

A nestačilo náhodou tu wi-fi jenom zase zapnout v biosu? Někde ta informace o zap/vyp uložena být musí...   ;)
Jinak souhlas, fóra jsou plná nešťastníků co jim Ubuntu kolikrát nejde na tyto NTB ani nainstalovat. Ty příběhy bývají většinou dlouhé a ne vždy mají šťastný konec...

61
Obecná podpora / Re:Zavaděč
« kdy: 11 Srpen 2019, 14:48:58 »
Jen pozn.:
Flašky rády umírají na přemíru zápisů. Právě instalační (live) média s vyhrazeným prostorem pro zápis systémových dat dokážou umřít již během týdne.

Vypadá to tak, že vše bezproblémově jede a zničehožnic je flaška dobrá pouze pro čtení.

Tento systém použití operáku umělo i Ubuntu 16.4. Na 18.4 jsem to nezkoušel.

Obecně je to sice pravda (že flešky nejsou k tomuto způsobu provozu vhodné). Nicméně používám tímto způsobem U 18.04  na SD kartě Kingston 8GB již několik let. Je totiž pohodlné mít po každém bootu zase vše nastavené/nainstalované jako předtím, na rozdíl od obyčejného live.  Ale:
1.) Je to v podstatě "servisní" fleška, bootuju ji jen párkrát do roka cca na hodinu při různých opravách/údržbách jiných OS.
2.) Je to celé poměrně pomalé (zejména instalace SW).  S rychlejší fleškou je to však viditelně lepší.
3.) Při tomto způsobu užití lze nastavit podle potřeby systém, doinstalovat některé programy. Celkové místo je omezeno právě max. možnou velikostí persistent souboru (4GB pro FAT32).
Proto nikdy neprovádíme celkovou aktualizaci systému, upgrade kernelu byť se to třeba nabízí. To by dobře nedopadlo... :-\

62
Repozitář z jiné (vyšší) verze sice přidat lze, nicméně důrazně to nedoporučuji, může to skončit všelijak.  :-[
To si tam raději dej verzi od Mozilly, už proto že její aktualizační mechanismus je odlišný (= stejný jako ve windows, tj. přímo z aplikace).

Je ale možné, že tento FF nepůjde spustit - v systému bude chybět nějaká knihovna. Tu ale obvykle není problém doplnit (nakopírovat do přísl. složky).

Takto se podařilo mimo jiné zprovoznit (na 12.04, 14.04) i novou Operu která už není oficiálně pro tato distra k dispozici.

Ke zjištění co přesně v systému chybí použij spuštění prohlížeče z Terminálu.

Další alternativou je použít Waterfox.

63
Ubuntu Server / Re:Zmena verzie jadra pri boot
« kdy: 10 Srpen 2019, 00:20:27 »
@juwa2
Ďakujem za všetko.
Kernel nainštalovaný.
Skript použitý !
Všetko sa tvári že beži ako má.  8)

To mě těší, že se (občas) najde někdo kdo správně pochopí poskytnuté rady... ;)
Jinak předpokládám, že jsi pochopil jak (rozdílně) probíhají aktualizace kernelů v GA  vs. HWE řadě...
Viz ten můj odkaz, tam je to na tom grafu (doufám) jasné...
Takže ještě pro upřesnění:
1.) Ten kdo instaloval z obrazu 18.4 nebo 18.4.1 má kernel 4.15 který bude mít aktualizovaný (pouze bezpečnostní aktualizace) až do konce LTS = 04/2023

2.) Ten kdo instaloval z obrazu 18.04.2 a novějšího, má automaticky kernelovou řadu HWE (tj. kernel se mu bude automaticky aktualizovat + upgradovat na novější podle "fárplánu" HWE).

3.) Nicméně i ten, kdo instaloval z obrazu 18.04 nebo 18.04.1 má možnost (volitelně od 04/2019 ) přejít na HWE kernel příkazem:
Desktop:
Kód: [Vybrat]
sudo apt-get install --install-recommends linux-generic-hwe-18.04 xserver-xorg-hwe-18.04
Server:
Kód: [Vybrat]
sudo apt-get install --install-recommends linux-generic-hwe-18.04
---------------------------------------------------------------------------------------------------
Všichni kteří mají HWE kernel budou dostávat automatické (bezpečnostní updaty = jsou ty "desetinkové") + každého půl roku (opět automaticky) budou převedeni na vyšší kernel z vyšší (půlroční) verze Ubuntu.
Konkrétně k tomu nedávno došlo 1. 8. 2019 (HWE 4.18 --> HWE 5.0).

Další změna bude cca za půl roku (HWE 5.0 --> HWE Ubuntu 19.10 (konkrétní číslo kernelu ještě není známo)).
Zkrátka tak, jak je to vyznačené v tom HWE StackEnablement "fárplánu":
https://wiki.ubuntu.com/Kernel/RollingLTSEnablementStack

Z něho je také zřejmé, že U 18.04 bude "končit" (EOL)  04/2023 s kernelem z U 20.04 HWE.
(Ale ti, kdo nepřešli na HWE, budou s U 18.04 končit ve stejnou dobu (tj. 04/2023), ale stále s (do té doby aktualizovaným) kernelem 4.15.xxx).
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Kromě výše zmíněných kernelů (GA nebo HWE) je možnost si nainstalovat libovolný kernel z "mainline"
https://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

Tam najde i ty úplně nejnovější kernely. Instalaci odtud bych ale doporučil pouze v případě problémů s nějakým HW.
Instalace těchto kernelů není automatická, nedochází k žádným updatům. Pokaždé je nutno kernel (balíky kernelu) stáhnout a instalovat ručně.
Tj. buďto stažením těch pěti balíků .deb do nějaké složky a zadáním do Terminálu:
Kód: [Vybrat]
cd /cesta/k/složce
sudo dpkg -i ./*.deb

Nebo jednoduššeji pomocí utilitky ukuu (umí kernely z mainline vyhledat, přidat nebo libovolné nainstalované odstranit)
https://ubuntoid.com/install-latest-ubuntu-kernel-ukuu/

Bohužel ukuu přechází momentálně na placený model  :-[  takže poslední free verze je https://github.com/teejee2008/ukuu/releases/download/v18.9/ukuu-v18.9-amd64.deb která nicméně stále funguje.

Uff - Doufám, že jsem to vysvětlil dostatečně "polopaticky".... :)

64
Ubuntu Server / Re:Zmena verzie jadra pri boot
« kdy: 09 Srpen 2019, 21:09:43 »
Mě se to moc nelíbí....
Metoda č. 1 odstraní pouze jeden konkrétní kernel a to ještě ne úplně (pouze metabalíky).
Metoda č. 2 odstraní pouze metabalíky, kernel samotný nikoli. Dva poslední kernely ponechá.
-------------------------------------------------------------------------------------------------------
Takže buď použít aplikaci "Ubuntu cleaner" (ale ta obsahuje chybu - nedojde k odinstalaci balíku "modules-extra").
V aplikaci samotné je proto třeba upravit odinstalační skript. Více zde https://forum.ubuntu.cz/index.php?topic=84328.msg565409#msg565409
-------------------------------------------------------------------------------------------------------
Já osobně používám svůj skript viz příloha. Skript se před odstraněním "zeptá". Odinstaluje staré kernely (všechny balíky starých kernelů) + vyčistí apt-cache. Ponechá pouze aktuálně běžící kernel.

Všimni si, že kernel balíků k odstranění musí být (U 18.04) vždy pět:
linux-headers
linux-headers-generic
linux-image-generic
linux-modules-generic
linux-modules-extra-generic


Skript spustíš z Terminálu příkazem:
Kód: [Vybrat]
/cesta/ke/skriptu/old_kernels_clean.sh

65
Ubuntu Server / Re:Zmena verzie jadra pri boot
« kdy: 09 Srpen 2019, 13:50:16 »
Ty momentálně běžíš na GA kernelu. Ale můžeš přejít na HWE kernel. Ten momentálně přešel z 4.18 na 5.0
Kód: [Vybrat]
sudo apt-get install --install-recommends linux-generic-hwe-18.04
Až to nainstaluješ, tak po rebootu už poběžíš na kernelu 5.0  Ten se bude automaticky aktualizovat:
https://wiki.ubuntu.com/Kernel/RollingLTSEnablementStack

Starý kernel (4.15) odinstaluj.

66
Tohle vypadá na bug, který se objevil ve spojení nového jádra a ovladače zvukovky.

Souhlas. Proto to budu sledovat, možná po příští aktualizaci kernelu to ustane.

67
Odpoviem presne v tvojom duchu... S tým chalanom si vedle jak ta jedle, milý hochu...
Myslíš ako Miro (Žbirka) jo, šesťděsiaťročný "večný chalan" jo??  No to teda "pozdrav Pánbů..."   :'(

68
Dobre. Aspoň teda odpovez, prečo sa tuná prezentuješ práve takýmto zposobom - máš to vobec za potrebie?  Zrovna ty, inako údajný machor (dla tvojej vlastnej mienky samozrejme) na zosilňovače?  No škoda, javil ses mi povodne ako ďaleko chytrajší chalan... :-\  No možno to ešte nekedy napravíš....

69
No neviem, či má zmysel niečo popisovať niekomu, kto nikdy nestaval žiadny hardware od piky samotného návrhu schémy, zháňaním súčiastok, laborovaním,  meraním čo vytvára skúsenosti. Tie sa bohužiaľ nedajú načerpať na internete pozeraním web stránok. Ak by si náhodou niekedy postavil napríklad zosilovač, tak nerozumiem prečo sa pýtaš, pretože by si to mal vedieť.

1.) Zosilňovačov som postavil neúrekom (od Transiwatt až po High - End)...  Pokial snáď potrebuješ poradiť v tejto oblasti, samozrejme rad poslúžim..

2.) Nicmenej opakujem otázku:  Čo je to hen taký onen "návrhový nedostatok". 
Zejména v souvislosti s původním dotazem, to by mě obzvláště interesovalo. Děkuji!  :)

70
Prosím súrne o vysvetlenie, čo je to taký hen ten onen "návrhový nedostatok". Ďakujem!  ;)

71
juwa2: Díky moc. Vypnuto ale v plumě. Nevím proč ale gedit mi nejde spustit s právy roota. Nevíš proč? Normálně ho v terminálu spustím ale s rootem ne.
Citace
root@nicol:/home/nicol# gedit
Příkaz 'gedit' je dostupný v '/snap/bin/gedit'
Příkaz nemohl být nalezen, protože '/snap/bin' není obsažen v proměnné PATH prostředí.
gedit: příkaz nebyl nalezen
root@nicol:/home/nicol#

Začínám oběvovat jeden nedostatek za druhým.

1.) Ano, v prostředí MATE máš výchozí editor Pluma. Takže jsi ho správně použila (jsem si to neuvědomil a napsal jsem do příkazu gedit, ale to je přece jedno...).

2.) Aplikace instalované pomocí SNAP nebo FLATPAK mají omezená práva - proto nejdou spustit pod rootem. A mají další omezení, zabírají spoustu místa atd. Takže pokud to jen trošku jde, vyhni se jim zdaleka.

P.S.  Ano vím, že Ubuntu je "tlačí" mermomocí čím dál víc, nabízí je dokonce přednostně k instalaci např. v Gnome-software.  Ale to nic nemění na skutečnosti, že jsou "fuj".  Tento novodobý "humus" ve svém PC zkrátka nestrpím....
Jeden příklad za všechny: VLC - klasická repo verze 23 MB.   VLC snap verze 1,5 GB (Ano, "GB", to není chyba!)  :o

Dokonce se domnívám, že do Canonicalu "něco posílají", že je to tak tuze "tlačeno".... :-[

72
Lupance sú počuť preto, lebo výkonový stupeň audia nieje správne navrhnutý. Ten, kto používa nejaké lepšie domáce audio vie, že po zapnutí zosilovača sa repráky pripojujú oneskorene a to práve, kvǒli tomu lupnutiu.

Vedle jak ta jedle, milý hochu... :-\
Předchozí kernely (na tom samém HW) to nedělaly. Ani dřívější verze UBU, ani žádný Windows....  :P

73
1.) Nikdy nespouštěj běžné programy jako root

2.) Pokud nejde program spustit z menu (spouštěčem), spusť ho z Terminálu. Vypíše se chybová hláška (obyčejně v systému něco chybí).

To je zrovna případ toho scriveneru. V systému ti chybí knihovna libpng12.so.0
Takže doplnit.

3.) Nejjednodušší je zadat tu chybovou hlášku do Google vyhledávače. Tak lze většinou nalézt řešení:
https://askubuntu.com/questions/978294/how-to-fix-libpng12-so-0-cannot-open-shared-object-file-no-such-file-or-direc

74
To se tam objeví když vyskočí ta chyba?  Je to určitě ono?
https://www.google.com/search?q=g_udev_device_has_property%3A+assertion+%27G_UDEV_IS_DEVICE+(device)%27+failed&sourceid=chrome&ie=UTF-8

Jinak to hlášení si můžeš vypnout:
Kód: [Vybrat]
sudo gedit /etc/default/apport &
Změň  řádek
enabled=1 
na 
enabled=0
Nezapomeň uložit.

75
Podívej se do syslogu (/var/log/syslog)  Orientuj se dle času kdy to "vyskočilo".
Taky se můžeš podívat do složky /var/crash
Nemusí to být nic závažného, krom toho to oznamování lze "vypnout".

Stran: 1 2 [3] 4 5 ... 115